%define upstream_name    Pod-Weaver-Plugin-EnsureUniqueSections
%define upstream_version 0.163250

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Ensure that POD has no duplicate section headers
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Weaver)
BuildRequires: perl(Pod::Weaver::Role::Finalizer)
BuildRequires: perl(Pod::Weaver::Role::Preparer)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Software::License::Artistic_1_0)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Trim)
BuildRequires: perl(utf8)
BuildArch: noarch

%description
This plugin simply ensures that the POD after weaving has no duplicate
top-level section headers. This can help you if you are converting from
writing all your own POD to generating it with the Pod::Weaver manpage. If
you begin generating a section with the Pod::Weaver manpage but you forget
to delete the manually written section of the same name, this plugin will
warn you.

By default, this module does some tricks to detect similar headers, such as
'AUTHOR' and 'AUTHORS'. You can turn this off by setting 'strict = 1' in
_weaver.ini_, in which case only _exactly identical_ headers will be
considered duplicates of each other.

DIAGNOSTIC MESSAGES
    If any similar (or identical if 'strict' is 1) section headers are
    found, all of their names will be listed on STDERR. Generally, you
    should take this list of modules and remove each from your POD. Then
    you should ensure that the sections generated by the Pod::Weaver
    manpage are suitable substitutes for those sections. In the case of
    similar names, only the first instance in each set of similar names
    will be listed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.163.250-4.mga9
+ Revision: 1818990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.163.250-3.mga8
+ Revision: 1506067
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.163.250-2.mga7
+ Revision: 1285758
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 0.163.250-1.mga7
+ Revision: 1132292
- update to 0.163250

* Sun Jun 19 2016 pterjan <pterjan> 0.121.550-7.mga6
+ Revision: 1032342
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.121.550-6.mga6
+ Revision: 948366
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.121.550-5.mga5
+ Revision: 749233
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.121.550-3.mga4
+ Revision: 514251
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.121.550-2.mga3
+ Revision: 372028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.121.550-1.mga3
+ Revision: 257974
- Add more BuildRequires
- Another BR
- Add a BR on PPI
- New upstream version - 0.121550

* Thu May 31 2012 shlomif <shlomif> 0.111.220-2.mga3
+ Revision: 252412
- License fix
- imported package perl-Pod-Weaver-Plugin-EnsureUniqueSections


* Tue Apr 10 2012 cpan2dist 0.111220-1mga
- initial mageia release, generated with cpan2dist
